Subject: Re: bug#64101: 29.0.91; Eglot inlay hints rendered out of order

From: Milan Jovanovic <[email-masked]>
Date: Tue, 20 Jun 2023 15:34:42 +0200

Well, from reading this thread I expected it to be sorted by priority.

On Tue, Jun 20, 2023 at 2:01 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Milan Jovanovic <[email-masked]>
> > Date: Tue, 20 Jun 2023 13:32:04 +0200
> > Cc: João Távora <[email-masked]>,
> >  Stefan Monnier <[email-masked]>,
> >  Krzysztof Klimonda <[email-masked]>,
> >  [email-masked]
> >
> > I do expect that but I’m talking about order of overlays that have the
> same start/end (and all of them have the same before-or-after-string
> property).
> > If you have more than one overlay with the same start/end and all of
> them have the same before-or-after-string property one order will be
> ascending and other descending (in regard to priority).
>
> And you don't expect that from the Emacs display?
>